Bug 44850 - xtoolwait doesn't work when no window manager running
xtoolwait doesn't work when no window manager running
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: xtoolwait (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 10:04 EDT by Jonathan Kamens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 04:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-06-18 10:04:38 EDT
It appears that xtoolwait times out rather than detecting the window
mapping when it is used when no window manager is running.

E.g., kill your window manager, run "xtoolwait xedit", and note how
xtoolwait doesn't exit as soon as the xedit window pops up at +0+0.
Comment 1 Harald Hoyer 2001-07-23 06:51:40 EDT
I think xtoolwait needs some hint from the window manager. From the source:
    /*
    ** We assume that the window manager provides the WM_STATE property on 
top-level
    ** windows, as required by ICCCM 2.0.
    */
Comment 2 Jonathan Kamens 2001-07-23 07:18:20 EDT
I do not agree with closing this bug "WONTFIX".

Xtoolwait doesn't *need* a hint from the window manager; that is merely the way
that it is implemented right now.  It is perfectly reasonable for it to behave
that way when the window manager is running, but it is *also* reasonable for it
to have different code that is used when no window manager is running.  It *is*
possible for xtoolwait to detect window mappings even when no window manager is
running.

Note You need to log in before you can comment on or make changes to this bug.